Subject: [Enum] question about non-terminal NAPTR semantics and ENUM DDDS

From: Michael Haberler <[email-masked]>
Date: Mon, 13 Jun 2005 15:40:43 -0400

help me across the road..
Assume  "E2U+foo" is defined as a non-terminal rule.
we have:
$Origin 5.4.3.2.1.e164.arpa.
       IN NAPTR 100 50 "" "E2U+foo"   ""  bar.com.
we have application unique string '+12345'
what will be the sequence of DNS lookups in the resolver -
a) get_naptr(5.4.3.2.1.e164.arpa) followed by get_naptr(bar.com), or
b) get_naptr(5.4.3.2.1.e164.arpa) followed by get_naptr(5.4.3.2.1.bar.com)
reading 3402 section 2.2 leads me to believe it's a)
thanks for the help
-Michael
_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailman/listinfo/enum

---

From: lconroy <[email-masked]>
Date: Mon, 13 Jun 2005 17:58:15 -0400

Hi Michael,
 always pleased to help a poor man across the road...
Yup - it's (A)
[see RFC3403 section 4.1, sub-section with description of the
 REPLACEMENT field for the gory details].
The AUS is irrelevant for a non-terminal for a DDDS application
that uses DNS as its rule base (i.e. uses NAPTRs), like E2U/ENUM.
It is hard to match against an AUS when you don't have a RegExp
to hold the matching pattern. This is a kind of "feature" in
DDDS/NAPTR specs sent by God to keep consultants in business
(and to keep implementers in Rest Homes).
all the best,
  Lawrence
On 13 Jun 2005, at 20:40, Michael Haberler wrote:
help me across the road..
Assume  "E2U+foo" is defined as a non-terminal rule.
we have:
$Origin 5.4.3.2.1.e164.arpa.
       IN NAPTR 100 50 "" "E2U+foo"   ""  bar.com.
we have application unique string '+12345'
what will be the sequence of DNS lookups in the resolver -
a) get_naptr(5.4.3.2.1.e164.arpa) followed by get_naptr(bar.com), or
b) get_naptr(5.4.3.2.1.e164.arpa) followed by 
get_naptr(5.4.3.2.1.bar.com)

---------------------------------------
lawrence conroy    |tel:+44-1794-833666
_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailman/listinfo/enum